diff -rc2P glibc-2.0.7-orig/io/creat.c glibc-2.0.7-new/io/creat.c
*** glibc-2.0.7-orig/io/creat.c	Fri Jan 30 22:16:06 1998
--- glibc-2.0.7-new/io/creat.c	Tue May  4 15:55:49 1999
***************
*** 28,31 ****
       mode_t mode;
  {
!   return __open (file, O_WRONLY|O_CREAT|O_TRUNC, mode);
  }
--- 28,31 ----
       mode_t mode;
  {
!   return open (file, O_WRONLY|O_CREAT|O_TRUNC, mode);
  }
diff -rc2P glibc-2.0.7-orig/io/fstat.c glibc-2.0.7-new/io/fstat.c
*** glibc-2.0.7-orig/io/fstat.c	Fri Jan 30 22:16:06 1998
--- glibc-2.0.7-new/io/fstat.c	Tue May  4 14:00:38 1999
***************
*** 40,44 ****
  __fstat (int fd, struct stat *buf)
  {
!   return __fxstat (_STAT_VER, fd, buf);
  }
  
--- 40,44 ----
  __fstat (int fd, struct stat *buf)
  {
!   return _fxstat (_STAT_VER, fd, buf);
  }
  
diff -rc2P glibc-2.0.7-orig/io/lstat.c glibc-2.0.7-new/io/lstat.c
*** glibc-2.0.7-orig/io/lstat.c	Fri Jan 30 22:16:12 1998
--- glibc-2.0.7-new/io/lstat.c	Tue May  4 14:00:38 1999
***************
*** 40,44 ****
  __lstat (const char *file, struct stat *buf)
  {
!   return __lxstat (_STAT_VER, file, buf);
  }
  
--- 40,44 ----
  __lstat (const char *file, struct stat *buf)
  {
!   return _lxstat (_STAT_VER, file, buf);
  }
  
diff -rc2P glibc-2.0.7-orig/io/mknod.c glibc-2.0.7-new/io/mknod.c
*** glibc-2.0.7-orig/io/mknod.c	Fri Jan 30 22:16:12 1998
--- glibc-2.0.7-new/io/mknod.c	Tue May  4 14:00:38 1999
***************
*** 42,46 ****
  __mknod (const char *path, mode_t mode, dev_t dev)
  {
!   return __xmknod (_MKNOD_VER, path, mode, &dev);
  }
  
--- 42,46 ----
  __mknod (const char *path, mode_t mode, dev_t dev)
  {
!   return _xmknod (_MKNOD_VER, path, mode, &dev);
  }
  
diff -rc2P glibc-2.0.7-orig/io/stat.c glibc-2.0.7-new/io/stat.c
*** glibc-2.0.7-orig/io/stat.c	Fri Jan 30 22:16:12 1998
--- glibc-2.0.7-new/io/stat.c	Tue May  4 14:00:38 1999
***************
*** 40,44 ****
  __stat (const char *file, struct stat *buf)
  {
!   return __xstat (_STAT_VER, file, buf);
  }
  
--- 40,44 ----
  __stat (const char *file, struct stat *buf)
  {
!   return _xstat (_STAT_VER, file, buf);
  }
  
diff -rc2P glibc-2.0.7-orig/io/sys/stat.h glibc-2.0.7-new/io/sys/stat.h
*** glibc-2.0.7-orig/io/sys/stat.h	Mon Aug 31 14:32:58 1998
--- glibc-2.0.7-new/io/sys/stat.h	Tue May  4 14:00:38 1999
***************
*** 196,206 ****
  
  /* Wrappers for stat and mknod system calls.  */
! extern int __fxstat __P ((int __ver, int __fildes,
  			  struct stat *__stat_buf));
! extern int __xstat __P ((int __ver, __const char *__filename,
  			 struct stat *__stat_buf));
! extern int __lxstat __P ((int __ver, __const char *__filename,
  			  struct stat *__stat_buf));
! extern int __xmknod __P ((int __ver, __const char *__path,
  			  __mode_t __mode, __dev_t *__dev));
  
--- 196,206 ----
  
  /* Wrappers for stat and mknod system calls.  */
! extern int _fxstat __P ((int __ver, int __fildes,
  			  struct stat *__stat_buf));
! extern int _xstat __P ((int __ver, __const char *__filename,
  			 struct stat *__stat_buf));
! extern int _lxstat __P ((int __ver, __const char *__filename,
  			  struct stat *__stat_buf));
! extern int _xmknod __P ((int __ver, __const char *__path,
  			  __mode_t __mode, __dev_t *__dev));
  
***************
*** 209,235 ****
  
  extern __inline__ int __stat (__const char *__path, struct stat *__statbuf)
! { return __xstat (_STAT_VER, __path, __statbuf); }
  extern __inline__ int stat (__const char *__path, struct stat *__statbuf)
! { return __xstat (_STAT_VER, __path, __statbuf); }
  
  extern __inline__ int __lstat(__const char *__path, struct stat *__statbuf)
! { return __lxstat (_STAT_VER, __path, __statbuf); }
  #if defined(__USE_BSD) || defined(__USE_XOPEN_EXTENDED)
  extern __inline__ int lstat(__const char *__path, struct stat *__statbuf)
! { return __lxstat (_STAT_VER, __path, __statbuf); }
  #endif
  
  extern __inline__ int __fstat (int __fd, struct stat *__statbuf)
! { return __fxstat (_STAT_VER, __fd, __statbuf); }
  extern __inline__ int fstat (int __fd, struct stat *__statbuf)
! { return __fxstat (_STAT_VER, __fd, __statbuf); }
  
  extern __inline__ int __mknod (__const char *__path, __mode_t __mode,
  			       __dev_t __dev)
! { return __xmknod (_MKNOD_VER, __path, __mode, &__dev); }
  #if	defined(__USE_MISC) || defined(__USE_BSD)
  extern __inline__ int mknod (__const char *__path, __mode_t __mode,
  			     __dev_t __dev)
! { return __xmknod (_MKNOD_VER, __path, __mode, &__dev); }
  #endif
  
--- 209,235 ----
  
  extern __inline__ int __stat (__const char *__path, struct stat *__statbuf)
! { return _xstat (_STAT_VER, __path, __statbuf); }
  extern __inline__ int stat (__const char *__path, struct stat *__statbuf)
! { return _xstat (_STAT_VER, __path, __statbuf); }
  
  extern __inline__ int __lstat(__const char *__path, struct stat *__statbuf)
! { return _lxstat (_STAT_VER, __path, __statbuf); }
  #if defined(__USE_BSD) || defined(__USE_XOPEN_EXTENDED)
  extern __inline__ int lstat(__const char *__path, struct stat *__statbuf)
! { return _lxstat (_STAT_VER, __path, __statbuf); }
  #endif
  
  extern __inline__ int __fstat (int __fd, struct stat *__statbuf)
! { return _fxstat (_STAT_VER, __fd, __statbuf); }
  extern __inline__ int fstat (int __fd, struct stat *__statbuf)
! { return _fxstat (_STAT_VER, __fd, __statbuf); }
  
  extern __inline__ int __mknod (__const char *__path, __mode_t __mode,
  			       __dev_t __dev)
! { return _xmknod (_MKNOD_VER, __path, __mode, &__dev); }
  #if	defined(__USE_MISC) || defined(__USE_BSD)
  extern __inline__ int mknod (__const char *__path, __mode_t __mode,
  			     __dev_t __dev)
! { return _xmknod (_MKNOD_VER, __path, __mode, &__dev); }
  #endif
  
diff -rc2P glibc-2.0.7-orig/libio/fileops.c glibc-2.0.7-new/libio/fileops.c
*** glibc-2.0.7-orig/libio/fileops.c	Fri Aug 21 15:20:20 1998
--- glibc-2.0.7-new/libio/fileops.c	Fri Jul  2 16:38:26 1999
***************
*** 39,43 ****
  
  
! #ifdef _LIBC
  # define open(Name, Flags, Prot) __open ((Name), (Flags), (Prot))
  #endif
--- 39,43 ----
  
  
! #if defined(_LIBC) && 0
  # define open(Name, Flags, Prot) __open ((Name), (Flags), (Prot))
  #endif
diff -rc2P glibc-2.0.7-orig/libio/fseek.c glibc-2.0.7-new/libio/fseek.c
*** glibc-2.0.7-orig/libio/fseek.c	Fri Jan 30 22:16:24 1998
--- glibc-2.0.7-new/libio/fseek.c	Tue Jun 29 15:26:19 1999
***************
*** 27,31 ****
  
  int
! fseek (fp, offset, whence)
       _IO_FILE* fp;
       long int offset;
--- 27,31 ----
  
  int
! __fseek (fp, offset, whence)
       _IO_FILE* fp;
       long int offset;
***************
*** 40,41 ****
--- 40,42 ----
    return result;
  }
+ weak_alias(__fseek,fseek)
diff -rc2P glibc-2.0.7-orig/libio/iolibio.h glibc-2.0.7-new/libio/iolibio.h
*** glibc-2.0.7-orig/libio/iolibio.h	Fri Jan 30 22:16:24 1998
--- glibc-2.0.7-new/libio/iolibio.h	Fri Jul  2 16:40:33 1999
***************
*** 58,69 ****
  #endif
  
! #define _IO_open	__open
! #define _IO_close	__close
  #define	_IO_fork	__fork
  #define	_IO_fcntl	__fcntl
  #define _IO__exit	_exit
! #define _IO_read	__read
! #define _IO_write	__write
! #define _IO_lseek	__lseek
  #define	_IO_getdtablesize	__getdtablesize
  #define _IO_pipe	__pipe
--- 58,69 ----
  #endif
  
! #define _IO_open	open
! #define _IO_close	close
  #define	_IO_fork	__fork
  #define	_IO_fcntl	__fcntl
  #define _IO__exit	_exit
! #define _IO_read	read
! #define _IO_write	write
! #define _IO_lseek	lseek
  #define	_IO_getdtablesize	__getdtablesize
  #define _IO_pipe	__pipe
diff -rc2P glibc-2.0.7-orig/libio/rewind.c glibc-2.0.7-new/libio/rewind.c
*** glibc-2.0.7-orig/libio/rewind.c	Fri Jan 30 22:16:27 1998
--- glibc-2.0.7-new/libio/rewind.c	Sat Jun 12 18:05:37 1999
***************
*** 26,30 ****
  
  void
! rewind (fp)
       _IO_FILE* fp;
  {
--- 26,30 ----
  
  void
! __rewind (fp)
       _IO_FILE* fp;
  {
***************
*** 35,36 ****
--- 35,38 ----
    __libc_cleanup_region_end (1);
  }
+ 
+ weak_alias (__rewind,rewind)
diff -rc2P glibc-2.0.7-orig/posix/execl.c glibc-2.0.7-new/posix/execl.c
*** glibc-2.0.7-orig/posix/execl.c	Thu Mar 12 15:01:53 1998
--- glibc-2.0.7-new/posix/execl.c	Thu Aug  5 12:40:24 1999
***************
*** 45,48 ****
    va_end (args);
  
!   return __execve (path, (char *CONST *) argv, __environ);
  }
--- 45,48 ----
    va_end (args);
  
!   return execve (path, (char *CONST *) argv, __environ);
  }
diff -rc2P glibc-2.0.7-orig/posix/execle.c glibc-2.0.7-new/posix/execle.c
*** glibc-2.0.7-orig/posix/execle.c	Thu Mar 12 15:01:53 1998
--- glibc-2.0.7-new/posix/execle.c	Thu Aug  5 12:40:34 1999
***************
*** 42,45 ****
    va_end(args);
  
!   return __execve(path, (char *CONST *) argv, (char *CONST *) envp);
  }
--- 42,45 ----
    va_end(args);
  
!   return execve(path, (char *CONST *) argv, (char *CONST *) envp);
  }
diff -rc2P glibc-2.0.7-orig/posix/execv.c glibc-2.0.7-new/posix/execv.c
*** glibc-2.0.7-orig/posix/execv.c	Fri Jan 30 22:26:23 1998
--- glibc-2.0.7-new/posix/execv.c	Thu Aug  5 12:40:45 1999
***************
*** 28,31 ****
  DEFUN(execv, (path, argv), CONST char *path AND char *CONST argv[])
  {
!   return __execve(path, argv, __environ);
  }
--- 28,31 ----
  DEFUN(execv, (path, argv), CONST char *path AND char *CONST argv[])
  {
!   return execve(path, argv, __environ);
  }
diff -rc2P glibc-2.0.7-orig/sysdeps/posix/getcwd.c glibc-2.0.7-new/sysdeps/posix/getcwd.c
*** glibc-2.0.7-orig/sysdeps/posix/getcwd.c	Tue Oct  6 14:48:07 1998
--- glibc-2.0.7-new/sysdeps/posix/getcwd.c	Mon Jul  5 11:58:54 1999
***************
*** 290,297 ****
  
        /* Search for the last directory.  */
!       dirstream = __opendir (dotp);
        if (dirstream == NULL)
  	goto lose;
!       while ((d = __readdir (dirstream)) != NULL)
  	{
  	  if (d->d_name[0] == '.' &&
--- 290,297 ----
  
        /* Search for the last directory.  */
!       dirstream = opendir (dotp);
        if (dirstream == NULL)
  	goto lose;
!       while ((d = readdir (dirstream)) != NULL)
  	{
  	  if (d->d_name[0] == '.' &&
***************
*** 308,312 ****
  		{
  		  int save = errno;
! 		  (void) __closedir (dirstream);
  		  __set_errno (save);
  		  goto lose;
--- 308,312 ----
  		{
  		  int save = errno;
! 		  (void) closedir (dirstream);
  		  __set_errno (save);
  		  goto lose;
***************
*** 319,323 ****
  	{
  	  int save = errno;
! 	  (void) __closedir (dirstream);
  	  __set_errno (save);
  	  goto lose;
--- 319,323 ----
  	{
  	  int save = errno;
! 	  (void) closedir (dirstream);
  	  __set_errno (save);
  	  goto lose;
***************
*** 331,335 ****
  	      if (buf != NULL)
  		{
! 		  (void) __closedir (dirstream);
  		  __set_errno (ERANGE);
  		  goto lose;
--- 331,335 ----
  	      if (buf != NULL)
  		{
! 		  (void) closedir (dirstream);
  		  __set_errno (ERANGE);
  		  goto lose;
***************
*** 343,347 ****
  		  if (tmp == NULL)
  		    {
! 		      (void) __closedir (dirstream);
  		      free (path);
  		      __set_errno (ENOMEM);/* closedir might have changed it.*/
--- 343,347 ----
  		  if (tmp == NULL)
  		    {
! 		      (void) closedir (dirstream);
  		      free (path);
  		      __set_errno (ENOMEM);/* closedir might have changed it.*/
***************
*** 358,362 ****
  	  (void) memcpy (pathp, d->d_name, namlen);
  	  *--pathp = '/';
! 	  (void) __closedir (dirstream);
  	}
  
--- 358,362 ----
  	  (void) memcpy (pathp, d->d_name, namlen);
  	  *--pathp = '/';
! 	  (void) closedir (dirstream);
  	}
  
diff -rc2P glibc-2.0.7-orig/sysdeps/posix/rename.c glibc-2.0.7-new/sysdeps/posix/rename.c
*** glibc-2.0.7-orig/sysdeps/posix/rename.c	Fri Jan 30 22:33:34 1998
--- glibc-2.0.7-new/sysdeps/posix/rename.c	Tue May  4 14:00:38 1999
***************
*** 23,27 ****
  /* Rename the file OLD to NEW.  */
  int
! rename (old, new)
       const char *old;
       const char *new;
--- 23,27 ----
  /* Rename the file OLD to NEW.  */
  int
! __rename (old, new)
       const char *old;
       const char *new;
***************
*** 50,51 ****
--- 50,53 ----
    return 0;
  }
+ 
+ weak_alias (__rename,rename)
diff -rc2P glibc-2.0.7-orig/sysdeps/stub/rename.c glibc-2.0.7-new/sysdeps/stub/rename.c
*** glibc-2.0.7-orig/sysdeps/stub/rename.c	Fri Jan 30 22:34:06 1998
--- glibc-2.0.7-new/sysdeps/stub/rename.c	Mon Jun 14 12:53:31 1999
***************
*** 23,27 ****
  /* Rename the file OLD to NEW.  */
  int
! rename (old, new)
       const char *old;
       const char *new;
--- 23,27 ----
  /* Rename the file OLD to NEW.  */
  int
! __rename (old, new)
       const char *old;
       const char *new;
***************
*** 37,40 ****
  }
  
! 
  stub_warning (rename)
--- 37,40 ----
  }
  
! weak_alias (__rename,rename)
  stub_warning (rename)
diff -rc2P glibc-2.0.7-orig/sysdeps/unix/rewinddir.c glibc-2.0.7-new/sysdeps/unix/rewinddir.c
*** glibc-2.0.7-orig/sysdeps/unix/rewinddir.c	Fri Jan 30 22:34:20 1998
--- glibc-2.0.7-new/sysdeps/unix/rewinddir.c	Sun Jun 13 13:18:13 1999
***************
*** 26,30 ****
  /* Rewind DIRP to the beginning of the directory.  */
  void
! DEFUN(rewinddir, (dirp), DIR *dirp)
  {
    __libc_lock_lock (dirp->lock);
--- 26,30 ----
  /* Rewind DIRP to the beginning of the directory.  */
  void
! DEFUN(__rewinddir, (dirp), DIR *dirp)
  {
    __libc_lock_lock (dirp->lock);
***************
*** 34,35 ****
--- 34,37 ----
    __libc_lock_unlock (dirp->lock);
  }
+ 
+ weak_alias (__rewinddir,rewinddir)
diff -rc2P glibc-2.0.7-orig/sysdeps/unix/syscalls.list glibc-2.0.7-new/sysdeps/unix/syscalls.list
*** glibc-2.0.7-orig/sysdeps/unix/syscalls.list	Fri Jan 30 22:34:21 1998
--- glibc-2.0.7-new/sysdeps/unix/syscalls.list	Tue Jun 29 11:24:57 1999
***************
*** 34,38 ****
  readv		-	readv		3	__readv		readv
  reboot		-	reboot		1	reboot
! rename		-	rename		2	rename
  rmdir		-	rmdir		1	__rmdir		rmdir
  select		-	select		5	__select	select
--- 34,38 ----
  readv		-	readv		3	__readv		readv
  reboot		-	reboot		1	reboot
! rename		-	rename		2	__rename	rename
  rmdir		-	rmdir		1	__rmdir		rmdir
  select		-	select		5	__select	select
diff -rc2P glibc-2.0.7-orig/sysdeps/unix/sysv/linux/lxstat.c glibc-2.0.7-new/sysdeps/unix/sysv/linux/lxstat.c
*** glibc-2.0.7-orig/sysdeps/unix/sysv/linux/lxstat.c	Fri Jan 30 22:35:02 1998
--- glibc-2.0.7-new/sysdeps/unix/sysv/linux/lxstat.c	Thu May  6 18:02:45 1999
***************
*** 28,32 ****
  /* Get information about the file NAME in BUF.  */
  int
! __lxstat (int vers, const char *name, struct stat *buf)
  {
    struct kernel_stat kbuf;
--- 28,32 ----
  /* Get information about the file NAME in BUF.  */
  int
! __vfs_lxstat (int vers, const char *name, struct stat *buf)
  {
    struct kernel_stat kbuf;
***************
*** 90,92 ****
--- 90,103 ----
    return result;
  }
+ /* vfs_lxstat provides a way to trap __lxstat because it is called inline
+    by apps. Once the apps have been recompiled, this will go away
+ */
+ int _vfs_lxstat (int vers, const char *name, struct stat *buf);
+ 
+ int
+ __lxstat (int vers, const char *name, struct stat *buf)
+ {
+ 	return _vfs_lxstat (vers,name,buf);
+ }
+ weak_alias (__vfs_lxstat, _vfs_lxstat)
  weak_alias (__lxstat, _lxstat)
diff -rc2P glibc-2.0.7-orig/sysdeps/unix/sysv/linux/xstat.c glibc-2.0.7-new/sysdeps/unix/sysv/linux/xstat.c
*** glibc-2.0.7-orig/sysdeps/unix/sysv/linux/xstat.c	Fri Jan 30 22:35:10 1998
--- glibc-2.0.7-new/sysdeps/unix/sysv/linux/xstat.c	Thu May  6 18:03:10 1999
***************
*** 28,32 ****
  /* Get information about the file NAME in BUF.  */
  int
! __xstat (int vers, const char *name, struct stat *buf)
  {
    struct kernel_stat kbuf;
--- 28,32 ----
  /* Get information about the file NAME in BUF.  */
  int
! __vfs_xstat (int vers, const char *name, struct stat *buf)
  {
    struct kernel_stat kbuf;
***************
*** 90,92 ****
--- 90,105 ----
    return result;
  }
+ 
+ /* vfs_xstat provides a way to trap __xstat because it is called inline
+    by apps. Once the apps have been recompiled, this will go away
+ */
+ int _vfs_xstat (int vers, const char *name, struct stat *buf);
+ 
+ int
+ __xstat (int vers, const char *name, struct stat *buf)
+ {
+ 	return _vfs_xstat (vers,name,buf);
+ }
+ 
+ weak_alias (__vfs_xstat, _vfs_xstat)
  weak_alias (__xstat, _xstat)
diff -rc2P glibc-2.0.7-orig/sysdeps/unix/sysv/syscalls.list glibc-2.0.7-new/sysdeps/unix/sysv/syscalls.list
*** glibc-2.0.7-orig/sysdeps/unix/sysv/syscalls.list	Fri Jan 30 22:34:50 1998
--- glibc-2.0.7-new/sysdeps/unix/sysv/syscalls.list	Tue Aug 17 14:22:34 1999
***************
*** 14,16 ****
  times		-	times		1	__times	times
  ulimit		-	ulimit		2	ulimit
! utime		-	utime		2	utime
--- 14,16 ----
  times		-	times		1	__times	times
  ulimit		-	ulimit		2	ulimit
! utime		-	utime		2	__utime utime
